const createError = require('../../../utils/error/createError')
const {CHAINCODE_ERROR} = require('../../../constants/errorKeys')

module.exports = function tranformChaincodeError(err) {
    if (err && err.key) {
        return createError(400, err.message, err.key, err.data)
    }
    if (err && err.message) {
        return createError(400, err.message, CHAINCODE_ERROR, err.data)
    }
    return err
}
