const jwt = require('jsonwebtoken')

let tokenId = 0


function getToken({id, orgId, groupIds, departmentIds}) {
    if (!id || !orgId || (!groupIds && !departmentIds)) {
        throw new Error(`id: ${id}, orgId: ${orgId}, groupIds: ${groupIds} or departmentIds: ${departmentIds} is not defined`)
    }

    const token = jwt.sign(
        {
            orgID: orgId,
            groupIDs: groupIds,
            departmentIDs: departmentIds
        },
        'myPublicKey',
        {
            issuer: 'SerumsAuthentication',
            subject: id,
            expiresIn: '1 day',
            jwtid: `TOKEN_${tokenId}`
        }
    )
    tokenId += 1
    return token
}

module.exports = getToken
